Bug 498148 - Cannot play Diablo II in wine
Cannot play Diablo II in wine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 01:33 EDT by Kyle Martin
Modified: 2010-06-28 08:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:15:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from D2VidTst that was dumped to my home folder (2.64 KB, text/plain)
2009-04-29 03:59 EDT, Kyle Martin
no flags Details

  None (edit)
Description Kyle Martin 2009-04-29 01:33:19 EDT
Description of problem:
When trying to play Diablo II (v1.12) D2VidTst fails to find displays, giving errors
fixme:win:EnumDisplayDevicesW ((null),0,0x32daac,0x00000000), stub!
fixme:win:EnumDisplayDevicesW ((null),0,0x32d7d4,0x00000000), stub!


Version-Release number of selected component (if applicable):
1.1.18

How reproducible:
I do not know if this is restricted to just Diablo II or if it affects other programs as well.

Steps to Reproduce:
1. Install wine from rawhide repo
2. Install Diablo II
3. run D2VidTst.exe
  
Actual results:
D2VidTst returns error, saying it cannot find any displays. When run from console, wine gives following error messages:
fixme:win:EnumDisplayDevicesW ((null),0,0x32daac,0x00000000), stub!
fixme:win:EnumDisplayDevicesW ((null),0,0x32d7d4,0x00000000), stub!

Expected results:
Detects Direct3D and DirectDraw.

Additional info:
none
Comment 1 Kyle Martin 2009-04-29 03:59:30 EDT
Created attachment 341714 [details]
output from D2VidTst that was dumped to my home folder
Comment 2 Philipp Bieber 2009-05-28 11:14:10 EDT
I had the same problem with a fully updated Fedora 11 and wine 1.1.18.

Using Lord of Destruction (Diablo II Expansion), the Test works, but only offers 2d acceleration.
Comment 3 Bug Zapper 2009-06-09 10:45:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:59:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:15:42 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.